Subject: Ticket Assigned - Dissapointing experience at Segaya Store counter
From: Max <[email-masked]>
To: [email-masked]
Date: Wed, 13 Oct 2021 12:40:45 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Dissapointing experience at Segaya Store counter Dear Max team,

I had visted Segaya store today around 7:30pm,And had picked clothes and was waiting at the cash counter.

I was waiting for about 3-4 mins at the counter which is okay,and then this guy(ur employee) who kept walking infront of me at the counter is least bothered to bill my stuff.

And then when i asked can somebody bill this,he goes to the last counter and bills the person right behind me.
And your employee (philipino lady) tells the guy that I am waiting here first,He says I DONT KNOW.

Is this guy Blind?

Honestly from childhood have been shopping from MAX.This was the worst customer experience.

I left my items at the counter and walked out

Learn to be nice to customers!!!!

Never expected this level of customer service from MAX.

Appreciate a response.

Highly dissapointed
Febin
36111292

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3219160